<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateMenusTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('menus', function (Blueprint $table) {
            $table->id();
            $table->integer('parent');
            $table->string('title');
            $table->string('slug');
            $table->string('root');
            $table->string('icon');
            $table->string('page');
            $table->string('newtab');
            $table->smallInteger('mnheader');
            $table->smallInteger('mnorder');
            $table->smallInteger('isactive');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('menus');
    }
}
